<div *ngIf="loading">
  <app-loader-login></app-loader-login>
</div>
<div class="app-body">
  <main class="main align-items-start">
    <div class="container">
      <div class="row">
        <div class="col-md-12 mx-auto">
          <form action="" method="post" enctype="multipart/form-data" class="form-horizontal" [formGroup]="formBuilder">
            <div class="row">
              <div class="col-sm-3">
                <img src="assets/img/brand/logo-dalam-rev2.png" class="img-responsive mt-5" alt="" style="width: 142px;"/>
              </div>
              <div class="col-sm-6">
                <div class="login-title text-center mt-5">Registrasi Akun KOPBI</div>
              </div>
              <div class="col-sm-3">
                <p class="text-danger mt-5 pull-right">Kolom bertanda bintang (<small>*</small>) wajib diisi!</p>
              </div>
            </div><br>
            <div class="row">
              <div class="col-sm-4">
                <h5 class="sub-title font-italic">Data Pribadi Anggota</h5>
                <div class="col-sm-12">
                  <label class="col-form-label">Nomor KTP <small class="text-danger">*</small></label>
                  <input type="text" id="nomorKtp2" maxlength="16" class="form-control" formControlName="nomorKtp" placeholder="Nomor KTP" appNumeric numericType="number">
                </div>
                <div class="col-sm-12">
                  <label class="col-form-label">Nama Lengkap <small class="text-danger">*</small></label>
                  <input type="text" id="nama" class="form-control" formControlName="nama" placeholder="Nama">
                </div>
                <div class="col-sm-12">
                  <label class="col-form-label">Jenis Kelamin <small class="text-danger">*</small></label>
                  <select class="form-control" title="Pilih Jenis Kelamin" formControlName="jenisKelamin">
                    <option value="" disabled selected>Pilih Jenis Kelamin</option>
                    <option value="Laki-Laki">Laki-laki</option>
                    <option value="Perempuan">Perempuan</option>
                  </select>
                </div>
                <div class="col-sm-12">
                  <label class="col-form-label">Tempat Lahir <small class="text-danger">*</small></label>
                  <input type="text" id="tempatLahir" class="form-control" formControlName="tempatLahir" placeholder="Tempat Lahir">
                </div>
                <div class="col-sm-12">
                  <label class="col-form-label">Tanggal Lahir <small class="text-danger">*</small></label>
                  <input class="form-control" id="tanggalLahir" type="date" placeholder="date" formControlName="tanggalLahir">
                </div>
                <div class="col-sm-12">
                  <label class="col-form-label">Status Pernikahan <small class="text-danger">*</small></label>
                  <select class="form-control" formControlName="status">
                    <option value="" disabled selected>Pilih Status</option>
                    <option value="Lajang">Lajang</option>
                    <option value="Menikah">Menikah</option>
                    <option value="Cerai">Cerai</option>
                  </select>
                </div>
                <div class="col-sm-12">
                  <label class="col-form-label">Alamat <small class="text-danger">*</small></label>
                  <textarea rows="4" id="alamat" class="form-control" formControlName="alamat" placeholder="Alamat"></textarea>
                </div>
                <div class="col-sm-12">
                  <label class="col-form-label">Pekerjaan <small class="text-danger">*</small></label>
                  <input type="text" id="pekerjaan" class="form-control" formControlName="pekerjaan" placeholder="Pekerjaan">
                </div>
                <div class="col-sm-12">
                  <label class="col-form-label">Alamat Email <small class="text-danger">*</small></label>
                  <input type="email" id="emailAnggota" class="form-control" formControlName="emailPribadi" placeholder="Email Anggota">
                </div>
                <div class="col-sm-12">
                  <label class="col-form-label">Nomor HP <small class="text-danger">*</small></label>
                  <input type="text" id="nomorHp" maxlength="12" class="form-control" formControlName="nomorHp" placeholder="Nomor HP" appNumeric numericType="number">
                </div>
              </div>
              <div class="col-sm-4">
                <h5 class="sub-title font-italic">Data Pekerjaan Anggota</h5>
                <!--<div class="col-sm-12">-->
                  <!--<label class="col-form-label">Konfederasi / Serikat Kerja <small class="text-danger">*</small></label>-->
                  <!--<ngx-select-dropdown [multiple]="false" [config]="configSelectKonfederasi" (change)="setKonfederasi()"  formControlName="selectedKonfederasi" [options]="listKonfederasi"></ngx-select-dropdown>-->
                <!--</div>-->
                <!--<div class="col-sm-12">-->
                  <!--<label class="col-form-label">Nama Perusahaan <small class="text-danger">*</small></label>-->
                  <!--<ngx-select-dropdown [multiple]="false" (change)="setPerusahaan()" [config]="configSelectPerusahaan" formControlName="selectedPerusahaan" [options]="listPerusahaan"></ngx-select-dropdown>-->
                <!--</div>-->
                <div class="col-sm-12">
                  <label class="col-form-label">Nama Penempatan <small class="text-danger">*</small></label>
                  <input type="text" id="lokasiPenempatan" class="form-control" formControlName="lokasiPenempatan" placeholder="Lokasi Penempatan">
                </div>
                <div class="col-sm-12">
                  <label class="col-form-label">Nomor NIK <small class="text-danger">*</small></label>
                  <input type="text" id="nomorNik" class="form-control" formControlName="nomorNik" placeholder="Nomor NIK">
                </div>
                <div class="col-sm-12">
                  <label class="col-form-label">Jabatan <small class="text-danger">*</small></label>
                  <input type="text" id="namaJabatan" class="form-control" formControlName="jabatanKeanggotaan" placeholder="Jabatan">
                </div>
                <div class="col-sm-12">
                  <label class="col-form-label">Pendapatan per Bulan</label>
                  <div class="form-check">
                    <input class="form-check-input" type="radio" name="pendapatan" formControlName="pendapatan" id="pendapatan1" value="Dibawah Rp.5Jt">
                    <label class="form-check-label" for="pendapatan1">Dibawah Rp.5Jt</label>
                  </div>
                  <div class="form-check">
                    <input class="form-check-input" type="radio" name="pendapatan" formControlName="pendapatan" id="pendapatan2" value="> Rp.5Jt s/d Rp.10Jt">
                    <label class="form-check-label" for="pendapatan2">> Rp.5Jt s/d Rp.10Jt</label>
                  </div>
                  <div class="form-check">
                    <input class="form-check-input" type="radio" name="pendapatan" formControlName="pendapatan" id="pendapatan3" value="> Rp.10Jt s/d Rp.20Jt">
                    <label class="form-check-label" for="pendapatan3">> Rp.10Jt s/d Rp.20Jt</label>
                  </div>
                  <div class="form-check">
                    <input class="form-check-input" type="radio" name="pendapatan" formControlName="pendapatan" id="pendapatan4" value="Diatas Rp.20Jt">
                    <label class="form-check-label" for="pendapatan4">Diatas Rp.20Jt</label>
                  </div>
                </div><br>
                <h5 class="sub-title font-italic">Data Saudara Dekat</h5>
                <div class="col-sm-12">
                  <label class="col-form-label">Nama Saudara Dekat <small class="text-danger">*</small></label>
                  <input class="form-control" id="namaSaudaraDekat" type="text" placeholder="Nama Saudara Dekat" formControlName="namaSaudaraDekat">
                </div>
                <div class="col-sm-12">
                  <label class="col-form-label">Hubungan Saudara <small class="text-danger">*</small></label>
                  <input class="form-control" id="hubunganSaudaraDekat" type="text" placeholder="Hubungan Saudara Dekat" formControlName="hubunganSaudara">
                </div>
                <div class="col-sm-12">
                  <label class="col-form-label">Alamat Saudara <small class="text-danger">*</small></label>
                  <textarea rows="3" class="form-control" id="alamatSaudaraDekat" type="text" placeholder="Alamat Saudara Dekat" formControlName="alamatSaudara"></textarea>
                </div>
                <div class="col-sm-12">
                  <label class="col-form-label">Nomor HP Saudara <small class="text-danger">*</small></label>
                  <input class="form-control" maxlength="12" id="nomorHpSaudaraDekat" type="text" placeholder="Nomor HP Saudara Dekat" formControlName="nomorHpSaudara" appNumeric numericType="number">
                </div>
              </div>
              <div class="col-sm-4">
                <h5 class="sub-title font-italic">Data Rekening Anggota</h5>
                <div class="col-sm-12">
                  <label class="col-form-label">Nama Bank <small class="text-danger">*</small></label>
                  <input type="text" id="namaBank" class="form-control" formControlName="namaBank" placeholder="Nama Bank">
                </div>
                <div class="col-sm-12">
                  <label class="col-form-label">Cabang Pembuka <small class="text-danger">*</small></label>
                  <input type="text" id="cabangBank" class="form-control" formControlName="cabangBank" placeholder="Cabang Bank">
                </div>
                <div class="col-sm-12">
                  <label class="col-form-label">Nomor Rekening <small class="text-danger">*</small></label>
                  <input type="text" id="nomorRekening" class="form-control" formControlName="nomorRekening" placeholder="Nomor Rekening">
                </div><br>
                <h5 class="sub-title font-italic">Data Permintaan Simpanan</h5>
                <div class="col-sm-12">
                  <label class="col-form-label">Simpanan Wajib Bulanan</label>
                  <input type="text" class="form-control" appOnlyNumber="{{formBuilder.controls.simpananWajib.value}}"
                         placeholder="Simpanan Wajib Bulanan" formControlName="simpananWajib">
                </div>
                <div class="col-sm-12">
                  <label class="col-form-label">Simpanan Sukarela Bulanan</label>
                  <input type="text" class="form-control" appOnlyNumber="{{formBuilder.controls.simpananSukarela.value}}"
                         placeholder="Simpanan Sukarela Bulanan" formControlName="simpananSukarela">
                </div><br>
                <!--<h5 class="sub-title font-italic">Data Registrasi</h5>-->
                <!--<div class="col-sm-12">-->
                  <!--<label class="col-form-label">Tanggal Registrasi</label>-->
                  <!--<input class="form-control" id="tanggalRegistrasi" type="date" placeholder="Pilih Tanggal"  formControlName="tanggalRegistrasi">-->
                <!--</div>-->
                <!--<div class="col-sm-12">-->
                  <!--<label class="col-form-label">Jabatan Keanggotaan</label>-->
                  <!--<select class="form-control" formControlName="jabatanKeanggotaan">-->
                    <!--<option value="" disabled>Pilih Jabatan Keanggotaan</option>-->
                    <!--<option value="Pembina" >Pembina</option>-->
                    <!--<option value="Pengawas" >Pengawas</option>-->
                    <!--<option value="Pengurus" >Pengurus</option>-->
                    <!--<option value="Anggota" >Anggota</option>-->
                  <!--</select>-->
                <!--</div>-->
                <!--<div class="col-sm-12">-->
                  <!--<label class="col-form-label">Wewenang Aplikasi <small class="text-danger">*</small></label>-->
                  <!--<select class="form-control" formControlName="role">-->
                    <!--<option value="" disabled>Pilih Wewenang Aplikasi</option>-->
                    <!--<option value="ADM" >Administator</option>-->
                    <!--<option value="HRD" >HRD</option>-->
                    <!--<option value="PENGAWAS" >Pengawas</option>-->
                    <!--<option value="AGT" >Anggota</option>-->
                  <!--</select>-->
                <!--</div>-->
                <!--<div class="col-sm-12">-->
                  <!--<label class="col-form-label">Status Keanggotaan <small class="text-danger">*</small></label>-->
                  <!--<select class="form-control" formControlName="statusAnggota">-->
                    <!--<option value="" disabled>Pilih Status Anggota</option>-->
                    <!--<option value="N" >Baru</option>-->
                    <!--<option value="A" >Aktif</option>-->
                    <!--<option value="I" >Non Aktif</option>-->
                  <!--</select>-->
                <!--</div>-->
              </div>
            </div>
            <div class="row">
              <div class="text-center col-sm-4 offset-2">
                <button type="button" class="btn btn-success btn-block btn-lg mb-4 mt-4" [disabled]="formBuilder.invalid" (click)="submit()">REGISTER</button>
              </div>
              <div class="text-center col-sm-4">
                <button type="button" class="btn btn-secondary btn-block btn-lg mb-4 mt-4" (click)="goToLogin()">BATAL</button>
              </div>
            </div>
            <!--<div class="row" *ngIf="modalTitle === 'Edit'">-->
              <!--<div class="col-sm-4">-->
                <!--<h5 class="font-italic">Foto Anggota</h5>-->
                <!--<input type="file" #fileFoto (change)="onFileChangedAnggota($event.target.files)" >-->
              <!--</div>-->
              <!--<div class="col-sm-8">-->
                <!--<h5 class="font-italic">KTP Anggota</h5>-->
                <!--<input type="file" #fileAnggota (change)="onFileChangedKtp($event.target.files)" >-->
              <!--</div>-->
            <!--</div>-->
            <!--<div class="row" *ngIf="modalTitle === 'Edit'">-->
              <!--<div class="col-sm-4">-->
                <!--<img [src]="linkImage + '/anggota/' + selectedAnggota.nomorAnggota + '.jpg'" width="100%">-->
              <!--</div>-->
              <!--<div class="col-sm-8">-->
                <!--<img [src]="linkImage + '/ktp/' + selectedAnggota.nomorKtp + '.jpg'" width="90%">-->
              <!--</div>-->
            <!--</div>-->
          </form>
          <div class="row mt-lg-5">
            <div class="col-12 footer">
              <span>KOPBI MTI ver.{{version}} © {{today | date: 'yyyy'}}</span>
            </div>
          </div>
        </div>
      </div>
    </div>
  </main>
</div>
